com.independentsoft.msg

## Enum SelectedMailingAddress

- java.lang.Object
- - java.lang.Enum<SelectedMailingAddress>
  - - com.independentsoft.msg.SelectedMailingAddress

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SelectedMailingAddress>

      public enum SelectedMailingAddress
      extends java.lang.Enum<SelectedMailingAddress>

  Indicating the type of the mailing address for the contact.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUSINESS`
    `HOME`
    `NONE`
    `OTHER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectedMailingAddress` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectedMailingAddress[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUSINESS

          public static final SelectedMailingAddress BUSINESS

    - #### HOME

          public static final SelectedMailingAddress HOME

    - #### OTHER

          public static final SelectedMailingAddress OTHER

    - #### NONE

          public static final SelectedMailingAddress NONE

  - ### Method Detail

    - #### values

          public static SelectedMailingAddress[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectedMailingAddress c : SelectedMailingAddress.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectedMailingAddress valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null